<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Conversion Request</title>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>KHS List</h2>
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <span>
  <div class="container">
    <div class="row">
      <div class="col-md-12 col-xs-12">
        <div class="normal-table-list mg-t-30">
          <div class="basic-tb-hd">
            <h2>Data KHS</h2>
          </div>
            <div class="row">
              <div class="col-md-12">
                <div class="shadow-sm border ps-3 pt-3 pe-3 pb-1 mb-3">
                  <b><p th:text="${krs.matakuliahKurikulum.matakuliah.namaMatakuliah}"></p></b>
                  <b><p th:text="${krs.jadwal.dosen.karyawan.namaKaryawan}"></p></b>
                  <hr>
                  <p>Your Grade Currently : <b><span th:text="${krs.grade}"></span></b></p>

                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-md-12">

<!--                data 1-->
                <div class="card shadow-sm">

                  <form th:action="@{/studiesActivity/khs/requestKonversi(krsDetail = ${krs.id})}"
                        enctype="multipart/form-data" method="post">

                    <div class="card-body">
                      <div class="row">
                        <div class="col-md-12">
                          <div class="mb-3">
                            <label for="deskripsi" class="form-label">Deskripsi</label>
                            <input type="text" class="form-control" id="deskripsi" name="deskripsi"
                                   placeholder="Add the description for the file" required>
                          </div>
                          <br>
                          <div class="mb-3">
                            <label for="file" class="form-label">Evidence</label>
                            <input class="form-control" type="file" id="file" name="file" required>
                          </div>
                          <br>
                          <div class="mb-3">
                            <label>Evidence Grade Type</label>
                            <select id="jenisNilai" name="jenisNilai" class="form-control" required>
                              <option value="" selected disabled>-- Select One --</option>
                              <option value="PRESTASI">PRESTASI</option>
                              <option value="TAHFIZH">TAHFIZH</option>
                            </select>
                          </div>
                        </div>
                      </div>
                    </div>

                    <br><br>
                    <div class="card-footer">
                      <div class="col-md-12 text-end">
                        <button class="btn btn-primary"
                                onclick="return confirm('Confirm your request.')">Apply Request</button>
                      </div>
                    </div>

                  </form>

                </div>
              </div>
            </div>

        </div>
      </div>
    </div>
  </div>

  <br>

  <div class="container" th:if="${file != null}">
    <div class="row">
      <div class="col-md-12 col-xs-12">
        <div class="normal-table-list mg-t-30">
          <div class="basic-tb-hd">
            <h2>List uploaded file</h2>
          </div>
          <div class="bsc-tbl-st">

            <div class="table-responsive">
              <p><small class="text-primary"> Click the name of the file to see the uploaded file</small></p>
              <table class="table table-striped sortable">
                <tr>
                  <th>No</th>
                  <th>Approval Status</th>
                  <th>Description</th>
                  <th>File</th>
                  <th>Grade Type</th>
                  <th>Type</th>
                  <th>File Upload</th>
                </tr>
                <tr>
                    <td>1</td>
                    <td th:text="${file.approval}">Approved</td>
                    <td th:text="${file.deskripsi}">TAHFIZH</td>
                    <td><a href="#" target="_blank">File</a></td>
                    <td th:if="${file.gradeBaru != null}" th:text="${file.gradeBaru}">Approved</td>
                    <td th:if="${file.gradeBaru == null}">-</td>
                    <td th:text="${file.jenisNilai}">TAHFIZH</td>
                    <td>
                        <a th:href="@{/khs/request/{requestKonversi}/(requestKonversi = ${file.id})}" target="_blank"  class="text-primary fst-italic small me-2" th:text="${file.namaFile}" ></a>
                    </td>
                </tr>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</span>
</section>
</body>

<!-- jQuery and Bootstrap JS -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="https://www.kryogenix.org/code/browser/sorttable/sorttable.js"></script>

</html>